# CARD_AUTHORIZATION_DECLINE_V2

A customer's card transaction was declined. Click here to see the full list of possible reasons.

Endpoint: POST card_authorization_decline_v2
Version: 1.0

## Request fields (application/json):

  - `reasons` (array)
    Array of objects containing information about why the transaction was declined. A transaction may have been declined for multiple reasons.

  - `reasons.type` (string)
    The reason why the transaction was declined.
    Enum: "3DS_FAILED", "AUTHENTICATION_REQUIRED", "CARD_BLOCKED", "CARD_EXPIRED", "CARD_INACTIVE", "CARD_LOST", "CARD_STOLEN", "EXPIRY_DATE_INVALID", "FRAUD_SUSPECTED", "INSUFFICIENT_FUNDS", "INVALID_CARD_DETAILS", "INVALID_PIN_BLOCKED", "LIST_CONTROL", "PIN_INCORRECT", "SCA_REQUIRED", "SPENDING_LIMIT", "UNKNOWN", "UNSUPPORTED_FUNCTION", "DO_NOT_HONOUR", "POS_FAILURE", "PIN_VALIDATION_FAILURE", "AML_REQUIREMENT_FAILED", "TRANSACTION_NOT_ALLOWED", "SYSTEM_MALFUNCTION", "INVALID_FORMAT"

  - `reasons.id` (string,null)
    UUID of the related Solaris resource (e.g., the card spending control limit that was exceeded).

  - `reasons.message` (string,null)
    Additional context around why the transaction was declined.

  - `card_transaction` (object)
    Object containing information about the declined transaction.

  - `card_transaction.status` (string)
    Status of the card transaction.
    Enum: "DECLINED"

  - `card_transaction.amount` (object)
    The final amount of the card transaction (including fees).
    Example: {"amount":8000,"unit":"cents","currency":"EUR"}

  - `card_transaction.amount.value` (integer)
    The amount.
    Example: 5000

  - `card_transaction.amount.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `card_transaction.amount.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `card_transaction.terminal_id` (string)
    Merchant ID for the terminal used for payment.
    Example: "678656789765"

  - `card_transaction.merchant` (object)
    Object containing information about the merchant where the card transaction was conducted.

  - `card_transaction.merchant.country_code` (string)
    The merchant's country (ISO 3166 two-character code).
    Example: "DE"

  - `card_transaction.merchant.id` (string)
    The ID that the merchant provided to their acquirer.
    Example: "4556397079"

  - `card_transaction.merchant.town` (string)
    Town where the merchant is located.
    Example: "Frankfurt am"

  - `card_transaction.merchant.name` (string)
    The merchant's name.
    Example: "Shady Bob"

  - `card_transaction.merchant.category_code` (string)
    The merchant's four-digit category code.
    Example: "5999"

  - `card_transaction.pos_entry_mode` (string)
    The POS entry mode used for the reservation.
    Enum: "CARD_NOT_PRESENT", "CHIP", "CONTACTLESS", "MAG_STRIPE"

  - `card_transaction.attempted_at` (string)
    UTC timestamp from when the transaction was attempted.
    Example: "2019-04-01T12:23:42+00:00"

  - `card_transaction.card_id` (string)
    ID of the card used in the declined transaction.
    Example: "f459e5de647e2909c94a7120c4d03557mcrd"

  - `card_transaction.acquirer_id` (string)
    An identification code (up to 11 characters) of the acquiring institution.
    Example: "75638395813"

  - `card_transaction.type` (string)
    The type of card transaction.
    Enum: "PURCHASE", "WITHDRAWAL", "OCT"

  - `card_transaction.original_amount` (object)
    The original amount of the card transaction (minus fees).
    Example: {"amount":7800,"unit":"cents","currency":"EUR"}

  - `card_transaction.original_amount.value` (integer)
    The amount.
    Example: 5000

  - `card_transaction.original_amount.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `card_transaction.original_amount.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"


## Response 200 fields
